JBoss API: Class CoordinatorRemote

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class CoordinatorRemote

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--org.jboss.tm.plugins.tyrex.CoordinatorRemote

All Implemented Interfaces:
  CoordinatorRemoteInterface, java.rmi.Remote, java.io.Serializable

public class CoordinatorRemote
extends java.rmi.server.UnicastRemoteObject
implements CoordinatorRemoteInterface

RMI Remote Proxy that enables the remote Transaction Manager to register the subordinate transaction as a resource with the originator's Coordinator

Version:
  $Revision: 1.2 $
Author:
  Anatoly Akkerman
See Also:
  , Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`protected` | `CoordinatorRemote(org.omg.CosTransactions.Coordinator coord)`

Method Summary
`void` | `register_resource(org.omg.CosTransactions.Resource serializableResource)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoordinatorRemote

    protected CoordinatorRemote(org.omg.CosTransactions.Coordinator coord)
                         throws java.rmi.RemoteException

Method Detail

### register_resource

    public void register_resource(org.omg.CosTransactions.Resource serializableResource)
                           throws org.omg.CosTransactions.Inactive,
                                  java.rmi.RemoteException

  Specified by:
    `register_resource` in interface `CoordinatorRemoteInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.